crashpad::ScopedSetEvent Class Reference

Calls `SetEvent()` on destruction at latest. More...

`#include "util/win/scoped_set_event.h"`

## Public Member Functions

| ScopedSetEvent (HANDLE event)
bool | Set ()
| Calls `SetEvent()` immediately. More...

## Detailed Description

Calls `SetEvent()` on destruction at latest.

Does not assume ownership of the event handle. Use ScopedKernelHANDLE for ownership.

## Member Function Documentation

## Set()

bool crashpad::ScopedSetEvent::Set | ( |  | ) |

Calls `SetEvent()` immediately.

`SetEvent()` will not be called on destruction.

Returns
  `true` on success, `false` on failure with a message logged.

The documentation for this class was generated from the following files:

- util/win/scoped_set_event.h
- util/win/scoped_set_event.cc